Organizations

Organizations: 5 operations of the ChaosDesk REST API.

Retrieves the collection of Organization resources.

GET/api/organizations

Parameters

pageintegerquery
The collection page number
itemsPerPageintegerquery
The number of items per page
namestringquery

Responses

  • 200Organization collection
  • 403Forbidden

Example request

curl -X GET "https://yourcompany.chaosdesk.io/api/organizations" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"

Creates a Organization resource.

POST/api/organizations

Request body application/json

namestringrequired
detailsstring | null
notesstring | null
shared_ticketsboolean
Zendesk "shared tickets": members can see each other's requests in the portal.
default_groupstring | null (iri-reference)
tagsstring[]
domain_namesstring[]

Responses

  • 201Organization resource created
  • 400Invalid input
  • 403Forbidden
  • 422An error occurred

Example request

curl -X POST "https://yourcompany.chaosdesk.io/api/organizations" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Retrieves a Organization resource.

GET/api/organizations/{id}

Parameters

idstringpathrequired
Organization identifier

Responses

  • 200Organization resource
  • 403Forbidden
  • 404Not found

Example request

curl -X GET "https://yourcompany.chaosdesk.io/api/organizations/{id}" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"

Updates the Organization resource.

PATCH/api/organizations/{id}

Parameters

idstringpathrequired
Organization identifier

Request body application/merge-patch+json

namestring
detailsstring | null
notesstring | null
shared_ticketsboolean
Zendesk "shared tickets": members can see each other's requests in the portal.
default_groupstring | null (iri-reference)
tagsstring[]
domain_namesstring[]

Responses

  • 200Organization resource updated
  • 400Invalid input
  • 403Forbidden
  • 404Not found
  • 422An error occurred

Example request

curl -X PATCH "https://yourcompany.chaosdesk.io/api/organizations/{id}" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/merge-patch+json" \
  -d '{"name":"string","details":"string"}'

Removes the Organization resource.

DELETE/api/organizations/{id}

Parameters

idstringpathrequired
Organization identifier

Responses

  • 204Organization resource deleted
  • 403Forbidden
  • 404Not found

Example request

curl -X DELETE "https://yourcompany.chaosdesk.io/api/organizations/{id}" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"